@import "../../../../assets/scss/global/variables";
@import "../../../../assets/scss/global/mixins";

.select-products {
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-flow: row wrap;
}
.select-product {
    @include smallBlackShadow();
    @include grayGradient();
    border-radius: 0.5rem;
    border: 1px solid $gray;
    font-size: 1.5rem;
    line-height: 1.3;
    width: 21rem;
    min-height: 8rem;
    display: flex;
    box-sizing: border-box;
    padding: 2rem;
    margin: 1rem 1.5rem;
    position: relative;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    text-align: center;
    &__desc{
        position: absolute;
        bottom: 0.5rem;
        right: 0.5rem;
        &.mat-icon {
            @include matIconSize(2.1rem);
        }
    }
    &--active {
        @include blueGradient($white);
    }


    @media(hover: hover) and (pointer: fine) {
        &:hover {
            @include blueGradient($white);
        }
        &--active:hover {
            opacity: 0.8;
        }
    }
}

